﻿
using System;
using System.IO;
using System.Windows.Forms;

using MindFusion.Spreadsheet;


namespace SpreadsheetSorting
{
	public partial class Form1 : Form
	{
		public Form1()
		{
			InitializeComponent();

			var worksheet = workbook1.Worksheets[0];

			// Import the data
			var importer = new CsvImporter();
			importer.Import(Path.Combine(Path.GetDirectoryName(Application.ExecutablePath), "data.csv"), worksheet);

			// Apply some formatting
			worksheet.Rows[0].Style.FontBold = true;
			worksheet.Columns[1].Style.Format = workbook1.DefaultNumericFormats.CurrencyFormats[0].Format;

			// Auto-size columns
			workbookView1.ResizeColumnsToFit(0, 3);

			// Sort the data
			var sortOptions = new SortOptions();
			sortOptions.Direction = SortDirection.TopToBottom;

			// Sort by names first
			sortOptions.Keys.Add(new SortKey(0));

			// Sort by quarters then
			sortOptions.Keys.Add(new SortKey(3));

			// Sort the data range. Note that the header row is excluded from the sort
			worksheet.Sort(worksheet.CellRanges["A2:D15"], sortOptions);
		}
	}
}
